%global pypi_name gtts
%global srcname gTTS

Name:           python-%{pypi_name}
Version:        2.2.4
Release:        %mkrel 1
Summary:        Python library and CLI tool to interface with Google Translate text-to-speech API
Group:          Development/Python
License:        MIT
URL:            https://github.com/ssut/py-googletrans
Source0:        %pypi_source
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(toml)

%description
gTTS (Google Text-to-Speech), a Python library and CLI tool to interface with
Google Translate's text-to-speech API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
gTTS (Google Text-to-Speech), a Python library and CLI tool to interface with
Google Translate's text-to-speech API.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/gtts-cli


%changelog
* Sun Jul 23 2023 wally <wally> 2.2.4-1.mga8
+ Revision: 1964121
- 2.2.4 for mga8
- imported package python-gtts

